## com.google.appengine.api.xmpp
Class MessageBuilder

    java.lang.Object
      com.google.appengine.api.xmpp.MessageBuilder

    public class MessageBuilder

extends java.lang.Object

Builder used to generate `Message` instances to represent incoming or outgoing XMPP messages.

Constructor Summary
`MessageBuilder()`

Method Summary
`MessageBuilder` `asXml(boolean asXml)`
`Message` `build()`
`MessageBuilder` `withBody(java.lang.String body)`
`MessageBuilder` `withFromJid(JID fromJid)`
`MessageBuilder` `withMessageType(MessageType type)`
`MessageBuilder` `withRecipientJids(JID... recipientJids)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageBuilder

    public MessageBuilder()

Method Detail

### withMessageType

    public MessageBuilder withMessageType(MessageType type)

### asXml

    public MessageBuilder asXml(boolean asXml)

### withBody

    public MessageBuilder withBody(java.lang.String body)

### withFromJid

    public MessageBuilder withFromJid(JID fromJid)

### withRecipientJids

    public MessageBuilder withRecipientJids(JID... recipientJids)

### build

    public Message build()